%define fw_version 5.24

Summary:	KDE Frameworks 5 media player features plugin interface
Name:		kmediaplayer
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 media player features plugin interface.

KMediaPlayer builds on the KParts framework to provide a common interface
for KParts that can play media files.

%files
%{_kde5_servicetypes}/kmediaplayer.desktop
%{_kde5_servicetypes}/kmediaplayerengine.desktop

#----------------------------------------------------------------------------

%define kf5mediaplayer_major 5
%define libkf5mediaplayer %mklibname kf5mediaplayer %{kf5mediaplayer_major}

%package -n %{libkf5mediaplayer}
Summary:	KDE Frameworks 5 KMediaPlayer media player shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5mediaplayer}
KDE Frameworks 5 media player shared library.

%files -n %{libkf5mediaplayer}
%{_kde5_libdir}/libKF5MediaPlayer.so.%{kf5mediaplayer_major}*

#----------------------------------------------------------------------------

%define devkf5mediaplayer %mklibname kf5mediaplayer -d

%package -n %{devkf5mediaplayer}
Summary:	Development files for KDE Frameworks 5 media player interface
Group:		Development/KDE and Qt
Requires:	%{libkf5mediaplayer} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5mediaplayer-devel = %{version}

%description -n %{devkf5mediaplayer}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5mediaplayer}
%{_kde5_includedir}/KF5/KMediaPlayer
%{_kde5_includedir}/KF5/kmediaplayer_version.h
%{_kde5_libdir}/cmake/KF5MediaPlayer
%{_kde5_libdir}/libKF5MediaPlayer.so
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KMediaPlayer.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (cecd5d2) New version 5.24.0


